freemarker.ext.beans

## Class InvalidPropertyException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - freemarker.template.TemplateException
      - - freemarker.template.TemplateModelException
        - - freemarker.ext.beans.InvalidPropertyException

All Implemented Interfaces:
  Serializable

    public class InvalidPropertyException
    extends TemplateModelException

An exception thrown when there is an attempt to access an invalid bean property when we are in a "strict bean" mode

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`InvalidPropertyException(String description)`

### Method Summary

### Methods inherited from class freemarker.template.TemplateException

`getBlamedExpressionString, getCauseException, getColumnNumber, getEndColumnNumber, getEndLineNumber, getEnvironment, getFTLInstructionStack, getLineNumber, getMessage, getMessageWithoutStackTop, getTemplateName, getTemplateSourceName, printStackTrace, printStackTrace, printStackTrace, printStackTrace, printStandardStackTrace, printStandardStackTrace`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### InvalidPropertyException

    public InvalidPropertyException(String description)